%global fontname ubuntu-title
%global fontconf 64-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        002.000
Release:        2%{?dist}
Summary:        A titling decorative font to create the lettering of the Ubuntu logo

Group:          User Interface/X
License:        OFL or GPLv2 with exceptions
URL:            https://launchpad.net/ubuntutitle
Source0:        http://launchpad.net/ubuntutitle/trunk/%{version}/+download/ubuntu-title-%{version}.tar.gz
Source1:        %{name}-fontconfig.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  fontforge
Requires:       fontpackages-filesystem

%description
Ubuntu-title is a font designed by Andrew Fitzsimon commissioned by Canonical,
the sponsor of Ubuntu, to create the lettering of the Ubuntu logo.

%prep
%setup -q -n ubuntu-title-%{version}
for txt in *.txt ; do
   fold -s $txt | sed -e 's/\r//' > $txt.new
   touch -r $txt $txt.new
   mv $txt{.new,}
done

%build
fontforge -lang=ff -c 'Open($1); Generate($1:r+".ttf")' Ubuntu-Title.sfd

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc *.txt


%changelog
* Tue Feb 23 2010 Paul Williams <paul@frixxon.co.uk> - 002.000-2
- remove coverage from description

* Fri Feb 12 2010 Paul Williams <paul@frixxon.co.uk> - 002.000-1
- initial build
